Subject: Re: [bitcoin-dev] [patch] Switching Bitcoin Core to sqlite db

From: Joseph Gleason ⑈ <[email-masked]>
Date: Thu, 22 Oct 2015 21:56:18 +0000

I have done a lot of recent work on local key value stores, mostly for a
java electrum server I am working on.

I'd suggest considering LMDB.  One downside is that it is memory mapped so
32-bit systems that need over 2gb of storage are right out.  Other than
that, it is quite fast and seems reliable in my testing.

On Thu, Oct 22, 2015 at 2:37 PM Jeff Garzik via bitcoin-dev <
[email-masked]> wrote:

> Here is the beginnings of an implementation to replace leveldb with
> sqlite: https://github.com/jgarzik/bitcoin/tree/2015_sqlite
>
> It builds, but still needs work before passing tests.
>
> It was noted that leveldb is unmaintained, and this is part of researching
> alternatives that are maintained and reliable.
>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>